*,
*::before,
*::after {
	position: relative;
	-webkit-tap-highlight-color: transparent;
	outline: none;
	border: none;
	box-sizing: border-box;
}
*::before,
*::after {
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	pointer-events: none;			/** assumes decorative by default */
}

html,
body {
	min-width: 320px;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", Helvetica, sans-serif;	/* Native Font Stack */
	margin: 0;
	font-size: 16px;
	color: #424242;
	width: 100%;
}

a { color: #007bc7; text-decoration: none;  }
@media all and (-ms-high-contrast: none), (hover:hover) { a:hover { text-decoration: underline; } }
a:hover:active { text-decoration: underline; }

button {
	display: inline-block;
	border: none;
	padding: 0;
	margin: 0;
	text-decoration: inherit;
	background: transparent;
	color: inherit;
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
	cursor: pointer;
	text-align: inherit;
	transition: none;
	-webkit-appearance: none;
	-moz-appearance: none;
}

.tile {
	display: inline-block;
	float: left;
	width: 20%;
	min-height: 20px;
	border: dashed 1px #999999;
	overflow: hidden;
	cursor: pointer;
}
.tile:nth-child(even) { background: rgb(0 78 232 / 10%) /* rgb(255 204 0 / 10%);*/ }
.tile .sizer {
	padding-top: 100%;
}
.tile .contents {
	position: absolute;
	top: 50%;
	left: 8px;
	text-align: center;
	transform: translateY(-50%);
	width: calc(100% - 16px);
}
.tile .title {
	color: #11330E;
	font-size: 1.5em;
	font-weight: bold;
	font-size: 0.65em;
}
.tile .title svg {
	margin-top: 8px;
}
.tile .x1, .tile .x2 {
	position: absolute;
	background-color: #DDDDDD;
	width: 80px;
	height: 10px;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(45deg);
	display: none;
}
.tile .x2 {
	transform: translate(-50%, -50%) rotate(-45deg);
}
.tile .fill {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 0;
	background-color: #ffb0aa;
	transition: height 1s;
}
.tile.pct20 .fill { height: 20%; }
.tile.pct33 .fill { height: 33%; }
.tile.pct40 .fill { height: 40%; }
.tile.pct50 .fill { height: 50%; }
.tile.pct60 .fill { height: 60%; }
.tile.pct66 .fill { height: 66%; }
.tile.pct80 .fill { height: 80%; }
.tile.pct100 .fill { height: 100%; }

#details-view {
	top: 0;
	left: 0;
	position: fixed;
	height: 100%;
	width: 100%;
	background: #FFFFFF;
	box-shadow: 0px 0px 8px black;
	transform: translateY(110%);
	transition: transform 0.3s;
}
#details-view.open {
	transform: none;
}
#details-view .contents {
	width: 100%;
	height: 100%;
	overflow-y: auto;
	overflow-x: hidden;
	padding-bottom: 140px;
}
#details-view-img {
	width: 100%;
	height: 45%;
}
#details-view-name {
	font-size: 1.5em;
	font-weight: bold;
	padding: 20px;
}
#details-view-desc {
	font-size: 1em;
	padding: 0 20px;
}
#details-close-button {
	position: absolute;
	bottom: 20px;
	width: calc(100% - 32px);
	left: 16px;
	text-align: center;
	font-weight: bold;
	background: #3f51b5;
	color: #FFFFFF;
	padding-top: 10px;
	padding-bottom: 10px;
	font-size: 1.5em;
	border-radius: 6px;
	border-bottom: solid 3px rgba(0,0,0,0.3);
}
#details-close-button:hover:active {
	border-bottom-width: 0;
}